Bug 811874

Summary: Applications indefinitely wait when changing file owner group to group containing spaces
Product: [Fedora] Fedora Reporter: Piotr Piotrowski <ppp5>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: bfields, jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 17:28:07 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Piotr Piotrowski 2012-04-12 04:13:09 EDT
Description of problem:
I have an NFS file system containing home directories and authentication through LDAP. One of the user groups stored in LDAP contains spaces. The command:
chown ":Group with spaces" file
hangs. Similarly
ar rv file.a file

On the server side in /var/log/messages the following message appears:
rpc.idmapd[1451]: nfsdcb: bad name in upcall

I do not know when exactly this problem started, but some time ago there was no such problem.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.5-5.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. Configure LDAP authentication
2. Add group with spaces (smbldap-tools convention)
3. Mount NFS
4. Execute the following command on the mounted NFS: chown ":Group with spaces" someFile

Actual results:
chown waits indefinitely

Expected results:
chown finishes successfully

Additional info:
Comment 1 Steve Dickson 2012-04-22 16:14:01 EDT
The problem here is 'spaces' are used as field delimiters in the kernel
upcall, so its not clear what if anything can be done other than not
using spaces in group names....
Comment 2 J. Bruce Fields 2012-04-23 10:34:26 EDT
(In reply to comment #1)
> The problem here is 'spaces' are used as field delimiters in the kernel
> upcall, so its not clear what if anything can be done other than not
> using spaces in group names....

The kernel escapes any spaces in the group name, so that shouldn't be a problem.  It would be useful to see the upcall--"strace -e read -s4096 `pidof rpc.idmapd`" might help.
Comment 3 Piotr Piotrowski 2012-04-23 15:09:03 EDT
(In reply to comment #2)
> The kernel escapes any spaces in the group name, so that shouldn't be a
> problem.  It would be useful to see the upcall--"strace -e read -s4096 `pidof
> rpc.idmapd`" might help.

read(4, "MY_IP/255.255.255.128 group Domain\\040Users@MY_DOMAIN\n", 257) = 63

I hope this is what you wanted.
Comment 4 Fedora End Of Life 2013-01-16 12:37:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:28:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.